Code::TidyAll::Role::Tempdir(3pm)

NAME
Code::TidyAll::Role::Tempdir - Provides a _tempdir attribute for Code::TidyAll classes

VERSION
version 0.85

SYNOPSIS
    package Whatever;
    use Moo;
    with 'Code::TidyAll::Role::Tempdir';

DESCRIPTION
A role to add tempdir attributes to classes.

ATTRIBUTES

_tempdir
    The temp directory. Lazily constructed if not passed

no_cleanup
    A boolean indicating if the temp directory created by the "_tempdir" builder should not automatically clean up after itself

SUPPORT
Bugs may be submitted at <https://github.com/houseabsolute/perl-code-tidyall/issues>.

SOURCE
The source code repository for Code-TidyAll can be found at <https://github.com/houseabsolute/perl-code-tidyall>.

AUTHORS

•   Jonathan Swartz <swartz@pobox.com>

•   Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 - 2025 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.